path: /build/build/mcfly-app-shells-0.9.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-shells/mcfly -pv -t && \
    emerge -j ${JOBS} --nodeps app-shells/mcfly
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mcfly && luet-portage --dir /pkgdir/mcfly
    app-shells/mcfly && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:6dddccb1c616145fe3dfd34bcd83261e74dbaa17a0ecae6bc37bc4916d6d76de
  package:
    name: mcfly
    version: 0.9.0
    category: app-shells
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Context-aware bash history search replacement (ctrl-r)
    uri:
    - https://github.com/cantino/mcfly
    license: Apache-2.0 BSD BSD-2 CC0-1.0 MIT Unlicense
    buildtimestamp: 2024-07-04 20:41:18.975740968 +0000 UTC m=+2279.379895550
    labels:
      BDEPEND: virtual/rust >=virtual/rust-1.37.0
      DEPEND: dev-db/sqlite:3
      IUSE: debug
      RDEPEND: dev-db/sqlite:3
      emerge.packages: app-shells/mcfly
      kit: core-kit
      original.package.name: app-shells/mcfly
      original.package.slot: "0"
      original.package.version: 0.9.0
    treedir: /build/packages
  package_dir: /pkgdir/mcfly
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e024510215f3858c320ececbbdd0749f106de51b4efcf6d338258ce72f7fc612
compressiontype: zstd
files:
- usr/bin/mcfly
- usr/share/doc/mcfly-0.9.0/README.md.bz2
- usr/share/mcfly/mcfly.bash
- usr/share/mcfly/mcfly.fish
- usr/share/mcfly/mcfly.zsh
- var/db/pkg/app-shells/mcfly-0.9.0/BDEPEND
- var/db/pkg/app-shells/mcfly-0.9.0/BUILD_TIME
- var/db/pkg/app-shells/mcfly-0.9.0/CATEGORY
- var/db/pkg/app-shells/mcfly-0.9.0/CBUILD
- var/db/pkg/app-shells/mcfly-0.9.0/CC
- var/db/pkg/app-shells/mcfly-0.9.0/CFLAGS
- var/db/pkg/app-shells/mcfly-0.9.0/CHOST
- var/db/pkg/app-shells/mcfly-0.9.0/CONTENTS
- var/db/pkg/app-shells/mcfly-0.9.0/COUNTER
- var/db/pkg/app-shells/mcfly-0.9.0/CXXFLAGS
- var/db/pkg/app-shells/mcfly-0.9.0/DEFINED_PHASES
- var/db/pkg/app-shells/mcfly-0.9.0/DEPEND
- var/db/pkg/app-shells/mcfly-0.9.0/DESCRIPTION
- var/db/pkg/app-shells/mcfly-0.9.0/EAPI
- var/db/pkg/app-shells/mcfly-0.9.0/FEATURES
- var/db/pkg/app-shells/mcfly-0.9.0/HOMEPAGE
- var/db/pkg/app-shells/mcfly-0.9.0/INHERITED
- var/db/pkg/app-shells/mcfly-0.9.0/IUSE
- var/db/pkg/app-shells/mcfly-0.9.0/IUSE_EFFECTIVE
- var/db/pkg/app-shells/mcfly-0.9.0/KEYWORDS
- var/db/pkg/app-shells/mcfly-0.9.0/LDFLAGS
- var/db/pkg/app-shells/mcfly-0.9.0/LICENSE
- var/db/pkg/app-shells/mcfly-0.9.0/NEEDED
- var/db/pkg/app-shells/mcfly-0.9.0/PF
- var/db/pkg/app-shells/mcfly-0.9.0/RDEPEND
- var/db/pkg/app-shells/mcfly-0.9.0/REQUIRES
- var/db/pkg/app-shells/mcfly-0.9.0/SIZE
- var/db/pkg/app-shells/mcfly-0.9.0/SLOT
- var/db/pkg/app-shells/mcfly-0.9.0/USE
- var/db/pkg/app-shells/mcfly-0.9.0/environment.bz2
- var/db/pkg/app-shells/mcfly-0.9.0/mcfly-0.9.0.ebuild
- var/db/pkg/app-shells/mcfly-0.9.0/repository
package_cacheimage: ""
runtime:
  name: mcfly
  version: 0.9.0
  category: app-shells
  requires:
  - name: sqlite
    version: '>=0'
    category: dev-db-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Context-aware bash history search replacement (ctrl-r)
  uri:
  - https://github.com/cantino/mcfly
  license: Apache-2.0 BSD BSD-2 CC0-1.0 MIT Unlicense
  labels:
    BDEPEND: virtual/rust >=virtual/rust-1.37.0
    DEPEND: dev-db/sqlite:3
    IUSE: debug
    RDEPEND: dev-db/sqlite:3
    emerge.packages: app-shells/mcfly
    kit: core-kit
    original.package.name: app-shells/mcfly
    original.package.slot: "0"
    original.package.version: 0.9.0
